<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCompanyChangedTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('company_changed', function (Blueprint $table) {
            $table->increments('id');

            $table->integer('company_id')->comment('企业ID');
            $table->dateTime('changed_time')->comment('变更日期');
            $table->string('changed_name',255)->comment('变更项目');
            $table->text('changed_before')->comment('变更前');
            $table->text('changed_after')->comment('变更后');


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('company_changed');
    }
}
